// ROLLUP_NO_REPLACE 
 const _1_installation = "{\"parsed\":{\"_path\":\"/get-started/installation\",\"_dir\":\"get-started\",\"_draft\":false,\"_partial\":false,\"_locale\":\"en\",\"_empty\":false,\"title\":\"Installation\",\"description\":\"tRPC-Nuxt provides first class integration with tRPC.\",\"excerpt\":{\"type\":\"root\",\"children\":[{\"type\":\"element\",\"tag\":\"h1\",\"props\":{\"id\":\"installation\"},\"children\":[{\"type\":\"text\",\"value\":\"Installation\"}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"1-add-to-existing-nuxt-project\"},\"children\":[{\"type\":\"text\",\"value\":\"1. Add to existing Nuxt project\"}]},{\"type\":\"element\",\"tag\":\"code-group\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"pnpm add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\",\"filename\":\"pnpm\",\"language\":\"bash\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"pnpm add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\"}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"npm install @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\",\"filename\":\"npm\",\"language\":\"bash\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"npm install @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\"}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"yarn add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\",\"filename\":\"yarn\",\"language\":\"bash\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"yarn add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\"}]}]}]}]},{\"type\":\"element\",\"tag\":\"h4\",\"props\":{\"id\":\"why-trpcserver\"},\"children\":[{\"type\":\"text\",\"value\":\"Why @trpc/server?\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"For implementing tRPC endpoints and routers.\"}]},{\"type\":\"element\",\"tag\":\"h4\",\"props\":{\"id\":\"why-trpcclient\"},\"children\":[{\"type\":\"text\",\"value\":\"Why @trpc/client?\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"For making typesafe API calls from your client.\"}]},{\"type\":\"element\",\"tag\":\"h4\",\"props\":{\"id\":\"why-zod\"},\"children\":[{\"type\":\"text\",\"value\":\"Why zod?\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"Most examples use \"},{\"type\":\"element\",\"tag\":\"a\",\"props\":{\"href\":\"https://github.com/colinhacks/zod\",\"rel\":[\"nofollow\"]},\"children\":[{\"type\":\"text\",\"value\":\"Zod\"}]},{\"type\":\"text\",\"value\":\" for input validation and tRPC.io highly recommends it, though it isn't required.\"}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"2-install-module\"},\"children\":[{\"type\":\"text\",\"value\":\"2. Install module\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"This will transpile \"},{\"type\":\"element\",\"tag\":\"code-inline\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"trpc-nuxt\"}]},{\"type\":\"text\",\"value\":\" and exclude \"},{\"type\":\"element\",\"tag\":\"code-inline\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"trpc-nuxt/client\"}]},{\"type\":\"text\",\"value\":\" from optimized dependencies by Vite.\"}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"export default defineNuxtConfig({\\n  modules: ['trpc-nuxt/module']\\n})\\n\",\"filename\":\"nuxt.config.ts\",\"language\":\"ts\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"export default defineNuxtConfig({\\n  modules: ['trpc-nuxt/module']\\n})\\n\"}]}]}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"3-enable-strict-mode\"},\"children\":[{\"type\":\"text\",\"value\":\"3. Enable strict mode\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"If you want to use Zod for input validation, make sure you have enabled strict mode:\"}]},{\"type\":\"element\",\"tag\":\"code-group\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"{\\n  \\\"extends\\\": \\\"./.nuxt/tsconfig.json\\\",\\n  \\\"compilerOptions\\\": {\\n    \\\"strict\\\": true\\n  }\\n}\\n\",\"filename\":\"tsconfig.json\",\"language\":\"json\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"{\\n  \\\"extends\\\": \\\"./.nuxt/tsconfig.json\\\",\\n  \\\"compilerOptions\\\": {\\n    \\\"strict\\\": true\\n  }\\n}\\n\"}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"export default defineNuxtConfig({\\n  typescript: {\\n    strict: true\\n  }\\n})\\n\",\"filename\":\"nuxt.config.ts\",\"language\":\"ts\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"export default defineNuxtConfig({\\n  typescript: {\\n    strict: true\\n  }\\n})\\n\"}]}]}]}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"If strict mode is too much, at least enable \"},{\"type\":\"element\",\"tag\":\"code-inline\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"strictNullChecks\"}]},{\"type\":\"text\",\"value\":\":\"}]},{\"type\":\"element\",\"tag\":\"code-group\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"{\\n  \\\"extends\\\": \\\"./.nuxt/tsconfig.json\\\",\\n  \\\"compilerOptions\\\": {\\n    \\\"strictNullChecks\\\": true\\n  }\\n}\\n\",\"filename\":\"tsconfig.json\",\"language\":\"json\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"{\\n  \\\"extends\\\": \\\"./.nuxt/tsconfig.json\\\",\\n  \\\"compilerOptions\\\": {\\n    \\\"strictNullChecks\\\": true\\n  }\\n}\\n\"}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"export default defineNuxtConfig({\\n  typescript: {\\n    tsConfig: {\\n      strictNullChecks: true\\n    }\\n  }\\n})\\n\",\"filename\":\"nuxt.config.ts\",\"language\":\"ts\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"text\",\"value\":\"export default defineNuxtConfig({\\n  typescript: {\\n    tsConfig: {\\n      strictNullChecks: true\\n    }\\n  }\\n})\\n\"}]}]}]}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"next-steps\"},\"children\":[{\"type\":\"text\",\"value\":\"Next Steps\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"Now that you've installed the required dependencies, you are ready to start building your application.\"}]}]},\"body\":{\"type\":\"root\",\"children\":[{\"type\":\"element\",\"tag\":\"h1\",\"props\":{\"id\":\"installation\"},\"children\":[{\"type\":\"text\",\"value\":\"Installation\"}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"1-add-to-existing-nuxt-project\"},\"children\":[{\"type\":\"text\",\"value\":\"1. Add to existing Nuxt project\"}]},{\"type\":\"element\",\"tag\":\"code-group\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"pnpm add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\",\"filename\":\"pnpm\",\"language\":\"bash\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"pnpm add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\"}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"npm install @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\",\"filename\":\"npm\",\"language\":\"bash\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"npm install @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\"}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"yarn add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\\n\",\"filename\":\"yarn\",\"language\":\"bash\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"yarn add @trpc/server@next @trpc/client@next trpc-nuxt@beta zod\"}]}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"h4\",\"props\":{\"id\":\"why-trpcserver\"},\"children\":[{\"type\":\"text\",\"value\":\"Why @trpc/server?\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"For implementing tRPC endpoints and routers.\"}]},{\"type\":\"element\",\"tag\":\"h4\",\"props\":{\"id\":\"why-trpcclient\"},\"children\":[{\"type\":\"text\",\"value\":\"Why @trpc/client?\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"For making typesafe API calls from your client.\"}]},{\"type\":\"element\",\"tag\":\"h4\",\"props\":{\"id\":\"why-zod\"},\"children\":[{\"type\":\"text\",\"value\":\"Why zod?\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"Most examples use \"},{\"type\":\"element\",\"tag\":\"a\",\"props\":{\"href\":\"https://github.com/colinhacks/zod\",\"rel\":[\"nofollow\"]},\"children\":[{\"type\":\"text\",\"value\":\"Zod\"}]},{\"type\":\"text\",\"value\":\" for input validation and tRPC.io highly recommends it, though it isn't required.\"}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"2-install-module\"},\"children\":[{\"type\":\"text\",\"value\":\"2. Install module\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"This will transpile \"},{\"type\":\"element\",\"tag\":\"code-inline\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"trpc-nuxt\"}]},{\"type\":\"text\",\"value\":\" and exclude \"},{\"type\":\"element\",\"tag\":\"code-inline\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"trpc-nuxt/client\"}]},{\"type\":\"text\",\"value\":\" from optimized dependencies by Vite.\"}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"export default defineNuxtConfig({\\n  modules: ['trpc-nuxt/module']\\n})\\n\",\"filename\":\"nuxt.config.ts\",\"language\":\"ts\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-06947b\"},\"children\":[{\"type\":\"text\",\"value\":\"export\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\" \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-06947b\"},\"children\":[{\"type\":\"text\",\"value\":\"default\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\" \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-579b3d\"},\"children\":[{\"type\":\"text\",\"value\":\"defineNuxtConfig\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"({\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"modules\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": [\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-3374e2\"},\"children\":[{\"type\":\"text\",\"value\":\"'trpc-nuxt/module'\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"]\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"})\"}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"3-enable-strict-mode\"},\"children\":[{\"type\":\"text\",\"value\":\"3. Enable strict mode\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"If you want to use Zod for input validation, make sure you have enabled strict mode:\"}]},{\"type\":\"element\",\"tag\":\"code-group\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"{\\n  \\\"extends\\\": \\\"./.nuxt/tsconfig.json\\\",\\n  \\\"compilerOptions\\\": {\\n    \\\"strict\\\": true\\n  }\\n}\\n\",\"filename\":\"tsconfig.json\",\"language\":\"json\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"{\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"extends\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-3374e2\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"./.nuxt/tsconfig.json\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\",\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"compilerOptions\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": {\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"    \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"strict\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-82d51f\"},\"children\":[{\"type\":\"text\",\"value\":\"true\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  }\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"}\"}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"export default defineNuxtConfig({\\n  typescript: {\\n    strict: true\\n  }\\n})\\n\",\"filename\":\"nuxt.config.ts\",\"language\":\"ts\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-06947b\"},\"children\":[{\"type\":\"text\",\"value\":\"export\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\" \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-06947b\"},\"children\":[{\"type\":\"text\",\"value\":\"default\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\" \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-579b3d\"},\"children\":[{\"type\":\"text\",\"value\":\"defineNuxtConfig\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"({\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"typescript\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": {\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"    \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"strict\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-82d51f\"},\"children\":[{\"type\":\"text\",\"value\":\"true\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  }\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"})\"}]}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"If strict mode is too much, at least enable \"},{\"type\":\"element\",\"tag\":\"code-inline\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"strictNullChecks\"}]},{\"type\":\"text\",\"value\":\":\"}]},{\"type\":\"element\",\"tag\":\"code-group\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"{\\n  \\\"extends\\\": \\\"./.nuxt/tsconfig.json\\\",\\n  \\\"compilerOptions\\\": {\\n    \\\"strictNullChecks\\\": true\\n  }\\n}\\n\",\"filename\":\"tsconfig.json\",\"language\":\"json\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"{\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"extends\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-3374e2\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"./.nuxt/tsconfig.json\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\",\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"compilerOptions\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": {\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"    \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"\\\"strictNullChecks\\\"\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-82d51f\"},\"children\":[{\"type\":\"text\",\"value\":\"true\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  }\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"}\"}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"code\":\"export default defineNuxtConfig({\\n  typescript: {\\n    tsConfig: {\\n      strictNullChecks: true\\n    }\\n  }\\n})\\n\",\"filename\":\"nuxt.config.ts\",\"language\":\"ts\"},\"children\":[{\"type\":\"element\",\"tag\":\"pre\",\"props\":{},\"children\":[{\"type\":\"element\",\"tag\":\"code\",\"props\":{\"__ignoreMap\":\"\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-06947b\"},\"children\":[{\"type\":\"text\",\"value\":\"export\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\" \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-06947b\"},\"children\":[{\"type\":\"text\",\"value\":\"default\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\" \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-579b3d\"},\"children\":[{\"type\":\"text\",\"value\":\"defineNuxtConfig\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"({\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"typescript\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": {\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"    \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"tsConfig\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": {\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"      \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-398ee4\"},\"children\":[{\"type\":\"text\",\"value\":\"strictNullChecks\"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\": \"}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-82d51f\"},\"children\":[{\"type\":\"text\",\"value\":\"true\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"    }\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"  }\"}]}]},{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"line\"},\"children\":[{\"type\":\"element\",\"tag\":\"span\",\"props\":{\"class\":\"ct-87b9c2\"},\"children\":[{\"type\":\"text\",\"value\":\"})\"}]}]}]}]}]}]},{\"type\":\"element\",\"tag\":\"h2\",\"props\":{\"id\":\"next-steps\"},\"children\":[{\"type\":\"text\",\"value\":\"Next Steps\"}]},{\"type\":\"element\",\"tag\":\"p\",\"props\":{},\"children\":[{\"type\":\"text\",\"value\":\"Now that you've installed the required dependencies, you are ready to start building your application.\"}]},{\"type\":\"element\",\"tag\":\"style\",\"children\":[{\"type\":\"text\",\"value\":\".ct-82d51f{color:#D19A66}.ct-3374e2{color:#98C379}.ct-398ee4{color:#E06C75}.ct-579b3d{color:#61AFEF}.ct-06947b{color:#C678DD}.ct-87b9c2{color:#ABB2BF}\"}]}],\"toc\":{\"title\":\"\",\"searchDepth\":2,\"depth\":2,\"links\":[{\"id\":\"1-add-to-existing-nuxt-project\",\"depth\":2,\"text\":\"1. Add to existing Nuxt project\"},{\"id\":\"2-install-module\",\"depth\":2,\"text\":\"2. Install module\"},{\"id\":\"3-enable-strict-mode\",\"depth\":2,\"text\":\"3. Enable strict mode\"},{\"id\":\"next-steps\",\"depth\":2,\"text\":\"Next Steps\"}]}},\"_type\":\"markdown\",\"_id\":\"content:1.get-started:1.installation.md\",\"_source\":\"content\",\"_file\":\"1.get-started/1.installation.md\",\"_extension\":\"md\"},\"hash\":\"J5QkJgUImr\"}";

export { _1_installation as default };
//# sourceMappingURL=1.installation.mjs.map
